{
    pkgs,
    ...
}: let self = {
    simc = (pkgs.qt6.callPackage  ./custom/simc.nix { });
    repalette = (pkgs.callPackage  ./custom/repalette.nix { stdenv = pkgs.llvmPackages.stdenv; });

    vosk = (pkgs.callPackage ./custom/vosk.nix { });
    vosk-lang = (pkgs.callPackage ./custom/vosk-lang.nix { });
    voskcli = (pkgs.callPackage ./custom/voskcli.nix { custom = self;});

    pythonPackages =  {
        # example = (pkgs.python3Packages.callPackage ./custom/example.nix { });
    };
    nodePackages = {
    };
};
in self