{
    pkgs,
    ...
}:
 [(self: super: rec{ 
    openttd-jgrpp = super.openttd-jgrpp.overrideAttrs (old: rec{ 
        version = "0.53.3";

        src = super.fetchFromGitHub rec {
            owner = "JGRennison";
            repo = "OpenTTD-patches";
            rev = "jgrpp-0.53.3";
            hash = "sha256-xpo4E07ifWUZy5z78Fwm1SpLP3wUBaBreZYbJuiNH3w=";
        };
    }); 

    yarn-berry = super.yarn-berry.overrideAttrs (old: rec{
        version = "3.6.3";
        src = super.fetchFromGitHub {
            owner = "yarnpkg";
            repo = "berry";
            rev = "@yarnpkg/cli/${version}";
            hash = "sha256-5QEnFalOEMs1bKYDYpFGnF1YwiGuW3ZxstyJAjz1/KQ=";
        };
    });
})]
